//
// OverloadedConstructors.cpp
//
// LECTURE 5
// DEMO 2

#include "StdAfx.h"

#include <iostream>
#include <string>

using namespace std;  //introduces namespace std

// Define a Course class (simple)
class Course
{
public:
  Course();		        // Simple Constructor
  Course(string theCourseName,string theInstructor,
         int classSize);    // Constructor with arguments
  string getCourseName() { return courseName; }
  string getInstructor() { return instructor; }
  int getSize() { return size; }
  
private:
  string courseName;
  string instructor;
  int size;
};

Course::Course()
{
  courseName = "unknown";
  instructor = "unknown";
  size = 0;
}

Course::Course(string theCourseName,string theInstructor,
               int classSize)
{
  courseName = theCourseName;
  instructor = theInstructor;
  size = classSize;
}


int main()
{	
  Course cs213("COM S 213","Ron DiNapoli",45);
  Course cs100;
  
  cout << "cs213.name = " << cs213.getCourseName() << endl;
  cout << "cs213.instructor = " << cs213.getInstructor() << endl;
  cout << "cs213.getSize = " << cs213.getSize() << endl;

  cout << "cs100.name = " << cs100.getCourseName() << endl;
  cout << "cs100.instructor = " << cs100.getInstructor() << endl;
  cout << "cs100.getSize = " << cs100.getSize() << endl;
  
}

